import { post, upload } from "@/request/axios.js";

export const getHiddenDangerList = (params) => post("/hidden/list", params); // 隐患列表
export const getHiddenDangerListAll = (params) =>
  post("/hidden/hiddenListAll", params); // 隐患列表
export const getHiddenDangerRectificationWhy = (params) =>
  post("/app/corpinfo/goqyzzh", params); // 隐患整改不知道在获取什么
export const setHiddenDangerRectificationNormalSubmit = (params) =>
  upload("/hidden/rectify", params); // 隐患整改正常整改提交
export const setHiddenDangerRectificationAbnormalSubmit = (params) =>
  post("/hidden/editRec", params); // 隐患整改不正常整改提交
export const setHiddenDangerAcceptSubmit = (params) =>
  post("/hidden/check", params); // 隐患验收提交
export const setHiddenDangerCancelMajorHazards = (params) =>
  post("/hidden/editHIDDENLEVEL", params); // 重大隐患管理取消重大隐患
export const setHiddenDangerConfirmMajorHazards = (params) =>
  post("/hidden/editISCONFIRM", params); // 重大隐患管理确认重大隐患
export const getHiddenDangerPrintList = (params) =>
  post("/hidden/listAllToPrint", params); // 隐患打印列表
export const setCustomHiddenDangerRectificationNormalSubmit = (params) =>
  upload("/customHidden/rectify", params); // 隐患整改正常整改提交  *隐患排查
export const setCustomHiddenDangerRectificationAbnormalSubmit = (params) =>
  post("/customHidden/editRec", params); // 隐患整改不正常整改提交*隐患排查
export const setCustomHiddenDangerAcceptSubmit = (params) =>
  post("/customHidden/check", params); // 隐患验证提交*隐患排查
export const setCustomHiddenDangerConfirmMajorHazards = (params) =>
  post("/customHidden/editISCONFIRM", params); // 重大隐患管理确认重大隐患*隐患排查
